آموزش استفاده از فارسی نویس کاتب در تمامی نسخه های اتوکد

صفحه 1 از 12 12345611 ... آخرینآخرین
نمایش نتایج: از 1 به 5 از 58

موضوع: آموزش استفاده از فارسی نویس کاتب در تمامی نسخه های اتوکد

  1. Top | #1
    Sajad

    مطلب جدید آموزش استفاده از فارسی نویس کاتب در تمامی نسخه های اتوکد

    با سلام خدمت همه شما دوستان عزیز امروز قصد دارم آموزش فارسی نویسی در تمامی نسخه های اتوکد به وسیله فارسی نویس کاتب رو آموزش بدم ولی خیلی آسان تر و راحت تر از گذشته !!
    با ما همراه باشد:


    مرحله 1:

    متون زیر را انتخاب کرده و کپی کنید (Crtl+C) و یا راست کلیک و گزینه Copy
    کد:
    (princ "\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n")
    (princ "\n*********** DEMO CO.  PRESENT **LICENSE TO B.ESLAMI *********")
    (princ "\n\n  FARSI interpreter Version 5.00 Is loading .")
    
    (defun r_t_d (d)
     (setq d (/ (* d 180.0) pi))
    )
    
    (defun lic_pr()
     (princ "This software is licensed to A.AMIRPOUR.\n")
    )
    
    (defun lst (d) (setvar "lastpoint" st))
    
    (princ ".")
    
    (defun d_t_r (d)
     (setq d (/ (* d pi) 180.0))
    )
    
    (princ ".")
    
     (setq charm1 (list 104 151 152 153 78 110 169 170 171 66 98 133 134
                       135 67 99 136 137 138 70 92 124 211 212 213 44 226
                       227 228 60 229 230 231 62 232 233 234 235 236 237
                       32 71 72 86 118 193 194 195 167 168))
     (setq charm2 (list 32 33 35 36 37 38 40 41 42 43 45 46 47 48
                       49 50 51 52 53 54 55 56 57 61 63 64 94 127 128 129))
     (setq charm (append charm1 charm2))
     (setq charn (append charm2 (list 32 70 71 72)))
     (setq charo (list (list 96 126) (list 58 127) (list 59 127) (list 34 128)
                      (list 39 128) (list 44 129) (list 60 131) (list 62 132)
                )
     )
     (setq charp (list 96 58 59 34 39 44 60 62))
     (setq charq (list 104 110 98 99 118 124 129 130 131))
    
    (defun mirp(a b)
       (setq x1 (car a) y1 (cadr a) x2 (car b) y2 (cadr b))
       (setq pt3 (list (- (* 2 x1) x2) (- (* 2 y1) y2)))
       (setq an (angle a b))
    )
    (princ ".")
    
    (defun taviz (so)
      (setq l (strlen so))
      (setq n 1)
      (setq nwo "")
      (while (<= n l)
       (if (= n 1)
        (setq ee " ")
        (setq ee (substr so (1- n) 1))
       )
       (setq f (substr so n 1))
       (if (= n l)
        (setq g " ")
        (setq g (substr so (1+ n) 1))
       )
       (setq asce (ascii ee))
       (setq ascff (setq ascf (ascii f)))
       (setq ascg (ascii g))
       (if (= (member ascf charm2) nil)
        (if (= (member ascf (list 32 95 70 71 72)) nil)
         (progn
          (if (/= (and (> ascf 64) (< ascf 94)) nil)
            (setq ascff (setq ascf (+ ascf 32)))
          )
          (if (/= (member ascf charp) nil)
            (setq ascf (car (cdr (assoc ascf charo))))
          )
          (if (/= (member asce charm) nil)
           (if (/= (member ascg charn) nil)
            (if (= (member ascf charq) nil)
             (setq ascf (+ (* (- ascf 97) 3) 132))
             (setq ascf ascff)
            )
            (setq ascf ascff)
           )
           (if (/= (member ascg charn) nil)
            (if (= (member ascf charq) nil)
             (setq ascf (+ (* (- ascf 97) 3) 131))
             (setq ascf (+ (* (- ascf 97) 3) 130))
            )
            (setq ascf (+ (* (- ascf 97) 3) 130))
           )
          )
         )
        )
       )
       (setq n (1+ n))
       (setq nwo (strcat nwo (chr ascf)))
      )
      (setq so nwo)
    )
    
    (princ ".")
    
    (defun hr ()
     (setq f_heigth (cdr (assoc 40 (tblsearch "style" (getvar "textstyle")))))
     (if (= f_heigth 0.0)
       (progn
         (princ (strcat "\nHeight <" (rtos (getvar "textsize")) ">: "))
         (setq ht (getdist st))
         (if (/= ht nil)
           (setvar "textsize" ht)
           (setq ht "")
         )
       )
     )
     (princ (strcat "\nRotation angle <" (angtos (getvar "userr1")) ">: "))
     (setq ro (getangle st))
     (if (/= ro nil)
      (setvar "userr1" ro)
     )
    )
    (princ ".")
    
    (defun *error* (ms)
     (if (= ms "Function cancelled")
         (progn (command) (command))
     )
     (princ "\nerror: ")
     (princ ms)
     (command "ERASE" ss "")
     (setvar "CMDECHO" 1)
     (setvar "HIGHLIGHT" 1)
     (setvar "BLIPMODE" 0)
     (prin1)
    )
    
    (princ ".")
    
    
    
    (princ ".")
    
    
    (defun farsit(text_to_convert)
    (setvar "CMDECHO" 0)
      (if (/= passcode "passcode")
          (progn
          (code_control)
             (if (= (and (= fcode fcodm)
                         (/= ucode nil)
                         (= scode "10-248253")
                    )   t
                 )
                 (progn
                   (setq passcode "passcode")
                   (taviz text_to_convert)
                 )
                 (progn
                   (lic_pr)
                   (prin1)
                 )
              )
          )
          (taviz text_to_convert)
      )
    )
    
    (princ ".")
    
    (defun c:k()
       (command "-style" "civillir" "naskhd.shx" "" "" "" "y" "" "")
       (setvar "CMDECHO" 0)
    
       (setvar "HIGHLIGHT" 0)
       (princ (strcat "Current TEXT style is " (getvar "TEXTSTYLE") " !!\n"))
       (setq st (list 1 4))
       (setq ss (ssadd))
       (command "POINT" "0,0")
       (setq entl (entlast))
       (ssadd entl ss)
       (setq rp "Style")
       (while (= rp "Style")
        (initget "Style Align Center Fit Middle Left")
        (setq rp (getpoint "Start point or Align/Center/Fit/Middle/Left/Style:"))
        (if (= rp "Style")
         (progn
          (setq sty (getstring
                     (strcat "\nStyle name (or ?) <" (getvar "TEXTSTYLE") ">: ")
                    )
          )
          (if (/= sty "")
            (progn
                (if (= sty "?")
                  (progn
                       (command "TEXT" "S" "?")
                       (command)
                  )
                  (progn
                     (if (/= (tblsearch "style" sty) nil)
                       (progn
                             (command "TEXT" "S" (eval sty))
                             (command)
                       )
                       (prompt "\nUnknown text style name.\n")
                     )
                  )
                )
            )
          )
         )
        )
       )
       (if (= (getvar "userr1") 0)
           (setvar "userr1" pi)
       )
       (if (= rp nil)
           (setq st nil)
       )
       (if (/= st nil)
        (progn
         (if (listp rp)
          (progn
           (setq st rp)
           (lst st)
           (hr)
          )
         )
         (if (= rp "Align")
          (progn
           (setq st (getpoint "\nFirst text line point:"))
           (lst st)
           (setq pt2 (getpoint st "\nSecond text line point:"))
          )
         )
         (if (= rp "Center")
          (progn
           (setq st (getpoint "\nCenter point:"))
           (lst st)
           (hr)
          )
         )
         (if (= rp "Fit")
          (progn
           (setq st (getpoint "\nFirst text line point:"))
           (lst st)
           (setq pt2 (getpoint st "\nSecond text line point:"))
           (setq f_heigth (cdr (assoc 40 (tblsearch "style"
                                       (getvar "textstyle")))))
           (if (= f_heigth 0.0)
            (progn
              (princ (strcat "\nHeight <" (rtos (getvar "textsize")) ">: "))
              (setq ht (getdist st))
              (if (/= ht nil)
               (setvar "textsize" ht)
               (setq ht "")
              )
            )
           )
          )
         )
         (if (= rp "Middle")
          (progn
           (setq st (getpoint "\nMiddle point:"))
           (lst st)
           (hr)
          )
         )
         (if (= rp "Left")
          (progn
           (setq st (getpoint "\nLeft point:"))
           (lst st)
           (hr)
          )
          )
         )
        )
        (setq ro (+ (getvar "userr1") pi))
        (setq rl (getvar "AUNITS"))
        (cond ((= rl 0) (setq rog (angtos ro)))
              ((= rl 1) (setq rog (angtos ro)))
              ((= rl 2) (setq rog (atof (angtos ro))))
              ((= rl 3) (setq rog (atof (angtos ro))))
              ((= rl 4) (setq rog (r_t_d ro)))
        )
        (princ "\nText:")
        (if (= st nil)
         (command "dtext" "")
         (progn
          (if (listp rp)
             (if (= f_heigth 0.0)
                  (command "dtext" st ht rog)
                 (command "dtext" st rog)
             )
          )
          (if (= rp "Align")
           (progn
            (mirp st pt2)
            (command "dtext" "a" st pt3)
          )
         )
         (if (= rp "Center")
            (if (= f_heigth 0.0)
                (command "dtext" "c" st ht rog)
                (command "dtext" "c" st rog)
            )
         )
         (if (= rp "Fit")
           (progn
             (mirp st pt2)
             (if (= f_heigth 0.0)
                 (command "dtext" "f" st pt3 ht)
                 (command "dtext" "f" st pt3)
             )
           )
         )
         (if (= rp "Middle")
             (if (= f_heigth 0.0)
                 (command "dtext" "m" st ht rog)
                 (command "dtext" "m" st rog)
            )
         )
         (if (= rp "Left")
             (if (= f_heigth 0.0)
                 (command "dtext" "r" st ht rog)
                 (command "dtext" "r" st rog)
             )
         )
        )
       )
       (while (/= (entnext entl) nil)
        (setq txt (entnext entl))
        (setq e (entget txt))
        (if (or (= rp "Fit") (= rp "Align"))
          (progn(setq za (cdr (assoc 10 e)))
          (command "ROTATE" (ssadd txt) "" za "180"))
        )
        (setq e (entget txt))
        (setq s (cdr (setq as (assoc 1 e))))
        (setq s (taviz s))
        (setq e (subst (cons 1 nwo) as e))
        (entmod e)
        (setq entl txt)
       )
       (command "ERASE" ss "")
       (setvar "HIGHLIGHT" 1)
       (setvar "CMDECHO" 1)
       (setvar "BLIPMODE" 0)
       (prin1)
    )
    
    (princ ".")
    
    (defun farsichange()
     (setvar "CMDECHO" 0)
     (command "UNDO" "M")
     (setvar "BLIPMODE" 0)
       (setq chm 0 p (ssget))
       (if p (progn
               (setq cont t)
               (while cont
                 (setq os (getstring "\n Type OLD text : " T))
                 (setq osl (strlen os))
                 (if (= osl 0)
                         (princ "Null input invalid. Try again !?")
                         (setq cont nil)
                 )
               )
          (setq ns (getstring "\n Type NEW text : " T))
          (setq os (taviz os))
          (setq ns (taviz ns))
          (setq nsl (strlen ns))
          (setq l 0 n (sslength p))
          (while (< l n)
             (if  (= "TEXT"
                      (cdr (assoc 0 (setq ec (entget (ssname p l)))))
                  )
                (progn
                   (setq chf nil si 1)
                   (setq sc (cdr (setq ass (assoc 1 ec))))
                   (while (= osl (setq sl (strlen
                                 (setq stc (substr sc si osl)))))
                      (if (= stc os)
                          (progn
                            (setq sc (strcat (substr sc 1 (1- si)) ns
                                            (substr sc (+ si osl))))
                            (setq chf t)
                            (setq si (+ si nsl))
                          )
                          (setq si (1+ si))
                      )
                   )
                   (if chf
                          (progn
                            (setq ec (subst (cons 1 sc) ass ec))
                            (entmod ec)
                            (setq chm (1+ chm))
                          )
                   )
                )
             )
             (setq l (1+ l))
          )
       ))
       (princ "Changed ")
       (princ chm)
       (princ " text lines.")
       (command "UNDO" "E")
       (setvar "CMDECHO" 1)
       (setvar "BLIPMODE" 0)
       (prin1)
    )
    
    (princ ".")
    
    (defun c:chg()
    (setvar "CMDECHO" 0)
      (if (/= passcode "passcode")
          (progn
             (code_control)
             (if (= (and (= fcode fcodm)
                         (/= ucode nil)
                         (= scode "10-248253")
                    )   t
                 )
                 (progn
                   (setq passcode "passcode")
                   (farsichange)
                 )
                 (progn
                   (lic_pr)
                   (prin1)
                 )
              )
          )
          (farsichange)
      )
    )
    
    (princ ". Completed.")
    (prin1)
    
    
    
    (defun c:lev (/ sc l1 l2 pnt pnt1 pnt2 pnt3 pnt4)
          (setq old_os (getvar "osmode"))
          (setvar "osmode" 0)
          (setq pnt (getpoint "\n pick a point:"))
          (setq sc (getdist "\n enter the level mark scale:"))
          (command "circle" pnt sc "")
          (setq l1 (- (car pnt) (* sc 2)))
          (setq l2 (+ (car pnt) (* sc 7)))
          (setq l3 (+ (cadr pnt) (* sc 2)))
          (setq l4 (- (cadr pnt) (* sc 2)))
    
          (setq pnt1 (list l1 (cadr pnt)))
          (setq pnt2 (list l2 (cadr pnt)))
          (setq pnt3 (list (car pnt) l3))
          (setq pnt4 (list (car pnt) l4))
          (command "line" pnt1 pnt2 "")
          (command "line" pnt3 pnt4 "")
          (setq level (getstring "\n enter level:"))
          (setq xtext (+ (car pnt) (* sc 1.2 )))
          (setq ytext (+ (cadr pnt) (/ sc 2)))
          (setq xy (list xtext ytext))
          (command "text" xy (/ sc 1.5) "" level "" "");
    
    )

    مرحله 2 :

    فایل acad2011doc.lsp را از مسیر C:\Program Files\Autodesk\AutoCAD 2011\Support به صورت پیش فرض پیدا کنید و متون قسمت بالا را در پایان آن پیست کنید(Crtl+V) یا رایت کلیک گزینه Past



    مرحله3:
    به اتوکد رفته و در قسمت خط فرمان یا همون Comand با حروف انگلیسی حرف K بنویسید و Enter بزنید
    حالا داخل صفحه هر متنی که دوست دارید به فارسی تایپ نمایید.






    جهت دانلود فونت های فارسی کاتب هم [دسترسی به لینک ها فقط برای اعضای انجمن امکان پذیر می باشد . همین حالا ثبت نام کنید]کلیک کنید
    پسورد:[دسترسی به لینک ها فقط برای اعضای انجمن امکان پذیر می باشد . همین حالا ثبت نام کنید]

    تصاویر پیوست شده تصاویر پیوست شده
      You can't download the attachment before replay
    ویرایش توسط Sajad : 05.02.2011 در ساعت 15:52

  2. 9 کاربر مقابل از Sajad عزیز به خاطر این پست مفید تشکر کرده اند .

    Bgham (26.05.2011),iiimamaniii (22.12.2011),Mehraz (10.02.2011),mosa-akbar (26.12.2011),sama.sama (30.11.2011),tedony (20.12.2011),yasser_009 (21.12.2011)

  3. # ADS
    تبلیغات در مدار

     

  4. Top | #2

    تاریخ عضویت
    10.02.2011
    عنوان کاربر
    عضو معمولی
    ميانگين پست در روز
    0.00
    نوشته ها
    1
    تشکر ها
    0
    از این کاربر 5 بار در 1 ارسال تشکر شده است.
    سیستم عامل و مرورگر
    آقا دمت گرم
    ویرایش توسط behzad99 : 10.02.2011 در ساعت 11:39

  5. 5 کاربر مقابل از behzad99 عزیز به خاطر این پست مفید تشکر کرده اند .

    iiimamaniii (22.12.2011),max123 (08.07.2013),Mehraz (05.05.2011),sirousb (25.05.2011),Sky Goddes (17.11.2012)

  6. Top | #3
    shaian
    آموزش-استفاده-از-فارسی-نویس-کاتب-در-تمامی-نسخه-های-اتوكد كپي نميشود .قسمت فونت های فارسی کاتب هم كار نمي كند
    ویرایش توسط shaian : 25.02.2011 در ساعت 17:23

  7. 2 کاربر مقابل از shaian عزیز به خاطر این پست مفید تشکر کرده اند .

    iiimamaniii (22.12.2011),Mehraz (26.05.2011)

  8. Top | #4

    تاریخ عضویت
    26.01.2011
    عنوان کاربر
    مدیر ارشد سایت
    ميانگين پست در روز
    1.01
    محل سکونت
    تهران
    نوشته ها
    2,452
    تشکر ها
    7,743
    از این کاربر 8,336 بار در 2,222 ارسال تشکر شده است.
    سیستم عامل و مرورگر
    نقل قول نوشته اصلی توسط shaian نمایش پست ها
    آموزش-استفاده-از-فارسی-نویس-کاتب-در-تمامی-نسخه-های-اتوكد كپي نميشود .قسمت فونت های فارسی کاتب هم كار نمي كند
    جهت دانلود فونت فارسی از لینک کمکی[دسترسی به لینک ها فقط برای اعضای انجمن امکان پذیر می باشد . همین حالا ثبت نام کنید]استفاده نمایید
    بقیه توضیحاتتون هم نفهمیدم !!

  9. 5 کاربر مقابل از sirousb عزیز به خاطر این پست مفید تشکر کرده اند .

    max123 (08.07.2013),Mehraz (25.02.2011),Sky Goddes (17.11.2012),tarahanemomtaz (08.11.2011)

  10. Top | #5

    تاریخ عضویت
    25.05.2011
    عنوان کاربر
    عضو معمولی
    ميانگين پست در روز
    0.00
    نوشته ها
    1
    تشکر ها
    0
    از این کاربر 7 بار در 1 ارسال تشکر شده است.
    سیستم عامل و مرورگر
    mamnoon ke inghadara be fekre mardom hastin

  11. 7 کاربر مقابل از prince537 عزیز به خاطر این پست مفید تشکر کرده اند .

    bornagh (31.10.2012),max123 (08.07.2013),Mehraz (26.05.2011),sirousb (25.05.2011),Sky Goddes (17.11.2012),smehrabi (12.02.2015),tarahanemomtaz (08.11.2011)

صفحه 1 از 12 12345611 ... آخرینآخرین

کلمات کلیدی این موضوع

علاقه مندی ها (Bookmarks)

علاقه مندی ها (Bookmarks)

مجوز های ارسال و ویرایش

  • شما نمیتوانید موضوع جدیدی ارسال کنید
  • شما امکان ارسال پاسخ را ندارید
  • شما نمیتوانید فایل پیوست کنید.
  • شما نمیتوانید پست های خود را ویرایش کنید
  •  
اطلاعات تماس با نقش نگار
جهت ارتباط با مديریت نقش نگار می توانید از اطلاعات زیر استفاده نمایید .
Email : sirousb@gmail.com
Tell : 09101414214 سیروس برادران
کليه حقوق مادي و معنوي براي نقش نگار محفوظ مي باشد .